﻿using SfTreeSample.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfTreeSample.ViewModels
{
    class ModelViewModel
    {
        public List<Model> Models { get; set; }
        public ModelViewModel()
        {
            Models = new List<Model>();
            PopulateData();
        }
        
        public void PopulateData()
        {
            //Model model = new Model("Root");


            Model parentOne = new Model("ParentOne");

            Model childOne = new Model("ChildOne");

            Model grandchildOne = new Model("GranchildOne");
            Model grandchildTwo = new Model("GranchildTwo");
            childOne.Models.Add(grandchildOne);
            childOne.Models.Add(grandchildTwo);

            Model grandchildThree = new Model("GranchildThree");
            Model grandchildFour = new Model("GranchildFour");
            childOne.Models.Add(grandchildThree);
            childOne.Models.Add(grandchildFour);

            parentOne.Models.Add(childOne);

            Model childTwo = new Model("ChildTwo");

            Model grandchildFive = new Model("GranchildFive");
            Model grandchildSix = new Model("GranchildSix");
            childTwo.Models.Add(grandchildOne);
            childTwo.Models.Add(grandchildTwo);

            parentOne.Models.Add(childTwo);

            Model childThree = new Model("ChildThree");

            parentOne.Models.Add(childThree);

            Models.Add(parentOne);

            Model parentTwo = new Model("ParentTwo");

            Models.Add(parentTwo);
        }

    }
}
